Name:		tkcvs
Version:	8.2.3
Release:	1

Summary:	TkCVS and TkDiff

Group:		Development/Tools
# No version specified.
License:	GPL+
URL:		http://www.twobarleycorns.net/tkcvs.html
Source0:	http://www.twobarleycorns.net/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	perl
Requires:	tk
Requires:	tcl
Requires:	cvs
Obsoletes:	tkdiff
Provides:	tkdiff

%description
TkCVS is a Tcl/Tk-based graphical interface to the CVS and Subversion
configuration management systems. It will also help with RCS. TkDiff
is included for browsing and merging your changes.

TkCVS shows the status of the files in the current working directory,
and has tools for tagging, merging, importing, exporting, checking
in/out, and other user operations.

TkCVS also aids in browsing the repository. For Subversion, the
repository tree is browsed like an ordinary file tree. For CVS, the
CVSROOT/modules file is read. TkCVS extends CVS with a method to
produce a "user friendly" listing of modules. This requires special
comments in the CVSROOT/modules file.

Although TkCVS now supports Subversion, it will still work happily
without it in your CVS directories. It didn't abandon CVS, it just
grew some new capabilities.


%prep
%setup -q


%build
perl -pi -e 's|set TCDIR \[file join \$TclRoot %{name}\]|set TCDIR "%{_datadir}/%{name}"|' %{name}/%{name}.tcl
perl -pi -e 's|\[file join \$TclRoot %{name} bitmaps\]|\[file join \$TCDIR bitmaps\]|' %{name}/%{name}.tcl


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}

cd %{name}
cp %{name}.tcl ${RPM_BUILD_ROOT}%{_bindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}

rm -f %{name}.blank mklocal mkmanpage.pl
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ../tkdiff
cp tkdiff ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
cd ..

cp -fr %{name} ${RPM_BUILD_ROOT}%{_datadir}/

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGELOG.txt FAQ.txt LICENSE.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Mon Nov 28 2011 Michael Perzl <michael@perzl.org> - 8.2.3-1
- updated to version 8.2.3

* Tue Feb 15 2011 Michael Perzl <michael@perzl.org> - 8.2.2-1
- first version for AIX V5.1 and higher
